import 'package:flutter/material.dart';

import 'package:get/get.dart';
import 'package:ourads/ourads.dart';
import 'package:wolfizutils/wolfizutils.dart';

import '../controllers/banner_ads_controller.dart';

class BannerAdsView extends GetView<BannerAdsController> {
  const BannerAdsView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Text('Banner Ads'),
        centerTitle: true,
      ),
      body: SingleChildScrollView(
        child: Column(
          children: [
            ListTile(
              leading: Text("1"),
              title: Text("Standard Banner Ad"),
            ),
            10.hb,

//Now you call any add just by calling their name
            StandardBanner(),
            20.hb,
//Size in dp (320Wx50H)
            ListTile(
              leading: Text("2"),
              title: Text("Large Banner Ad"),
            ),
            10.hb,
            LargeBanner(),
            20.hb,
            ListTile(
              leading: Text("3"),
              title: Text("Medium Rectangle Banner Ad"),
            ),
            10.hb,
//Size in dp (320Wx100H)
            MediumRectangle(),
//Size in dp (320Wx250H)
            20.hb,
            ListTile(
              leading: Text("4"),
              title: Text("Full Sized Banner Ad"),
            ),
            10.hb,
//Size in dp (320Wx100H)
            FullSizeBanner(),
            20.hb,
            ListTile(
              leading: Text("5"),
              title: Text("Smart Banner Ad Width:32"),
            ),
            10.hb,
//Size in dp (320Wx100H)
            SmartBanner32(),
//Size in dp (468Wx32H)
            20.hb,
            ListTile(
              leading: Text("6"),
              title: Text("Smart Banner Ad Width:50"),
            ),
            10.hb,
//Size in dp (320Wx100H)
            SmartBanner50(),
            20.hb,
            ListTile(
              leading: Text("7"),
              title: Text("Smart Banner Ad Width:90"),
            ),
            10.hb,
//Size in dp (320Wx100H)
            SmartBanner90(),
            50.hb,

//Size in dp (468Wx32H)
//Size in dp (468Wx32H)
          ],
        ),
      ),
    );
  }
}
